<Board>:
    tsize: min((self.width-2*self.hmargin)/self.ncols, (self.height-2*self.vmargin)/self.nrows)
    tx: (self.width  - self.tsize*self.ncols)/2
    ty: (self.height - self.tsize*self.nrows)/2


<Tile>:
    x: self.board.x + self.col*self.board.tsize + self.board.tx
    y: self.board.y + self.row*self.board.tsize + self.board.ty +10

    canvas:
        Color:
            rgba: root.rgba
        Rectangle:
            pos: (root.pos[0], root.pos[1])
            size: (root.board.tsize-2, root.board.tsize-2)


BoxLayout:
    orientation: "vertical"
    Board:
        id: board
    Button:
        text: "Menu"
        on_release: board.displayMenu()
        size_hint_y: None
        height: sp(50)
    